b02tk1/urls.py
from django.contrib import admin
from django.urls import include, path
from registrasi import views as vreg

urlpatterns = [
    path('admin/', admin.site.urls),
    path('registrasi/',vreg.register, name="registrasi"),
    path('', include('main.urls')),
    path('',include("django.contrib.auth.urls")),
]

main/urls.py
from django.urls import path
from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('rumah-sakit-rujukan', views.rs_rujukan, name='rumah-sakit-rujukan'),
    path('pencegahan-covid-19', views.pencegahan, name='pencegahan-covid-19'),
    path('test', views.covidtest, name='test'),
    path('result', views.hasiltest, name='result'),
    path('add_comment', views.add_comment, name='add_comment'),
    path('delete/<int:nomor>', views.deletecomment, name='delete'),
    path('pasien', views.get_pasien, name='pasien'),
    path('tambah-pasien', views.add_pasien.as_view(), name='tambah-pasien'),
    path('hapus-pasien', views.delete_pasien.as_view(), name='hapus-pasien'),
    path('pasien/<str:name>', views.get_daftar_pasien, name='data-pasien'),
    path('pencarian/', views.pencarian, name='pencarian'),
    path('datas/', views.datas, name='datas'),
    path('cari-buku', views.cari_buku, name='cari-buku'),
    path('rekomendasi-buku', views.hasil_cari_buku, name='rekomendasi-buku'),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  {% block meta %}
  <title>Base</title>
  {% endblock meta %}
</head>

<body>
  <nav class="navbar navbar-expand navbar-dark bg-dark fixed-top" id="mainNav">
    <div class="container text">
    <a class="navbar-brand font-weight-bold text-black" href="{% url 'main:home' %}">BERANDA</a>
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ml-auto">
        {% if user.is_authenticated %}
        <li class="nav-item">
          <h6 style="color: bisque;">Hi, {{ request.user.username }}!</h6>
        </li>
        {% endif %}
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#informasi" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              INFORMASI
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:rumah-sakit-rujukan' %}">DAFTAR RS RUJUKAN</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="/pencegahan-covid-19">PENCEGAHAN PENULARAN COVID-19</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="/pencarian">DATA POSITIF</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#hiburan" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              HIBURAN
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:cari-buku' %}">BUKU BACAAN</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger text-black" href="/test">TES GEJALA COVID-19</a>
        </li>
        {% if user.is_authenticated %}
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#rapid" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              RAPID TEST
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:pasien' %}">DAFTAR PASIEN</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="{% url 'main:tambah-pasien' %}">TAMBAH/HAPUS PASIEN</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger text-black" href="/logout">LOG OUT</a>
        </li>
        {% else %}
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger text-black" href="/login">LOG IN</a>
        </li>
        {% endif %}
      </ul>
    </div>
    </div>
  </nav>

  {% block content %}
  {% endblock content %}

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="{% static 'js/jquery-3.5.0.min.js' %}"></script>
  <script src="{% static 'js/main.js' %}"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
</body>

<footer class="page-footer font-small blue bg-dark" style="color: white; padding-top: 10px;">
  <div class="footer-copyright text-center py-3">
  <p>© 2020 Copyright: PPW Kelompok B02-TK-1</p>
  </div>
</footer>

</html>